0

I am developing a custom theme (built off 1.9.0.1, i know older version already) and have a few phtml overrides via local.xml but as per comment at Invalid method Mage_Catalog_Block_Product_View::_isSecure(Array ( ) ) what is the best way to provide custom themes that don't conflict with magento versions, see below;

  • Supply Theme package for each magento version (specify magento version supported)
  • One theme package with a version check (in the phtml file(s)) as per conflicts when mismatched
  • or another way to manage theme updating/changes

Is there access to public list of edited/updated/compared files per magento version as obviously it would be a nightmare to check each file for different code

0

For Magento 1, you can use this inofficial mirror on GitHub: https://github.com/OpenMage/magento-mirror/

Then use git diff or your favorite Git client to view changes. Unfortunately for each release, the "copyright" notice in all files changes, so you probably want to exclude these:

git difftool -y -x "diff -I '-I '@license .*' -I '@copyright *Copyright .* Inc''" <commit1> <commit2>

where <commit1> and <commit2> are commit references for the versions you want to compare:

https://github.com/OpenMage/magento-mirror/commits/magento-1.9

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.